Bug 1475180 - Openvas Scanner too old or too new: 5.1.1
Openvas Scanner too old or too new: 5.1.1
Status: NEW
Product: Fedora
Classification: Fedora
Component: openvas-scanner (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Stjepan Gros
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 03:36 EDT by Dino Conti
Modified: 2017-12-06 14:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dino Conti 2017-07-26 03:36:09 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install openvas-cli, openvas-scanner, openvas-manager, openvas-gsa
2. run openvas-check-setup
3.

Actual results:
ERROR : OpenVAS Scanner too old or too new: 5.1.1
FIX: Please install OpenVAS  Scanner 5.0


Expected results:
openvas installed ok
start openvas-scanner and openvas-manager

Additional info:
used to work on Fedora 25
Comment 1 Dino Conti 2017-08-11 03:38:52 EDT
fixed by running openvas-check-setup --v9
Comment 2 Pietro 2017-12-06 14:47:39 EST
rodomonte@rod:~/Documents/openvas/OpenVas-Management-Scripts$ service openvas-manager status
Redirecting to /bin/systemctl status  openvas-manager.service
● openvas-manager.service - OpenVAS Manager
   Loaded: loaded (/usr/lib/systemd/system/openvas-manager.service; enabled; vendor preset: disabled)
   Active: active (running) since Wed 2017-12-06 11:22:30 CET; 9h ago
  Process: 29751 ExecStart=/usr/sbin/openvasmd $OPTIONS (code=exited, status=0/SUCCESS)
 Main PID: 29752 (openvasmd)
    Tasks: 1 (limit: 4915)
   CGroup: /system.slice/openvas-manager.service
           └─29752 openvasmd

Dec 06 11:22:30 rod systemd[1]: Starting OpenVAS Manager...
Dec 06 11:22:30 rod systemd[1]: Started OpenVAS Manager.
rodomonte@rod:~/Documents/openvas/OpenVas-Management-Scripts$ sudo ./openvas-check-setup --v9
openvas-check-setup 2.3.3
  Test completeness and readiness of OpenVAS-9

  Please report us any non-detected problems and
  help us to improve this check routine:
  http://lists.wald.intevation.org/mailman/listinfo/openvas-discuss

  Send us the log-file (/tmp/openvas-check-setup.log) to help analyze the problem.

  Use the parameter --server to skip checks for client tools
  like GSD and OpenVAS-CLI.

Step 1: Checking OpenVAS Scanner ... 
        OK: OpenVAS Scanner is present in version 5.1.1.
        OK: OpenVAS Scanner CA Certificate is present as /var/lib/openvas/CA/cacert.pem.
        OK: OpenVAS Scanner server certificate is valid and present as /var/lib/openvas/CA/servercert.pem.
        OK: redis-server is present in version v=4.0.2.
        OK: scanner (kb_location setting) is configured properly using the redis-server socket: /tmp/redis.sock
        OK: redis-server is running and listening on socket: /tmp/redis.sock.
        OK: redis-server configuration is OK and redis-server is running.
        OK: NVT collection in /var/lib/openvas/plugins contains 56694 NVTs.
        WARNING: Signature checking of NVTs is not enabled in OpenVAS Scanner.
        SUGGEST: Enable signature checking (see http://www.openvas.org/trusted-nvts.html).
        OK: The NVT cache in /var/cache/openvas contains 56695 files for 56694 NVTs.
Step 2: Checking OpenVAS Manager ... 
        ERROR: OpenVAS Manager too old or too new: 7.0.2
        FIX: Please install OpenVAS Manager 6.1.

 ERROR: Your OpenVAS-9 installation is not yet complete!

Please follow the instructions marked with FIX above and run this
script again.

If you think this result is wrong, please report your observation
and help us to improve this check routine:
http://lists.wald.intevation.org/mailman/listinfo/openvas-discuss
Please attach the log-file (/tmp/openvas-check-setup.log) to help us analyze the problem.

rodomonte@rod:~/Documents/openvas/OpenVas-Management-Scripts$ uname -a
Linux rod 4.8.6-300.fc25.x86_64 #1 SMP Tue Nov 1 12:36:38 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


doesnt seems true to me.

also it used to works before, and on system startup it cant start (it say something like, starting service, stopping service 4-5 times), i attach the /tmp/openvas-check-setup.log here: http://sprunge.us/NTbQ

Note You need to log in before you can comment on or make changes to this bug.